searchNodes=[{"doc":"Documentation for Gogs . This package is an Elixir interface to our Gogs Server. It contains all functions we need to create repositories, clone, add data to files, commit, push and diff. Some of these functions use Git and others use the REST API . We would obviously prefer if everything was one or the other, but sadly, some things cannot be done via Git or REST so we have adopted a &quot;hybrid&quot; approach. The functions in this file are defined in the order that we are using them. So they tell a story. If you are reading this and prefer to order them alphabetically or some other way, please share by opening an issue: github.com/dwyl/gogs/issues","ref":"Gogs.html","title":"Gogs","type":"module"},{"doc":"clone/1 clones a remote git repository based on git_repo_url returns the path of the local copy of the repository.","ref":"Gogs.html#clone/1","title":"Gogs.clone/1","type":"function"},{"doc":"","ref":"Gogs.html#get_repo_name_from_url/1","title":"Gogs.get_repo_name_from_url/1","type":"function"},{"doc":"inject_poison/0 injects a TestDouble of HTTPoison in Test so that we don't have duplicate mock in consuming apps. see: github.com/dwyl/elixir-auth-google/issues/35","ref":"Gogs.html#inject_poison/0","title":"Gogs.inject_poison/0","type":"function"},{"doc":"","ref":"Gogs.html#local_repo_path/1","title":"Gogs.local_repo_path/1","type":"function"},{"doc":"make_url/2 constructs the URL based on the supplied git url and TCP port . If the port is set it will be a custom Gogs instance. Examples iex&gt; Gogs.make_url(&quot;gogs-server.fly.dev&quot;, &quot;10022&quot;) &quot;ssh://git@gogs-server.fly.dev:10022/&quot; iex&gt; Gogs.make_url(&quot;github.com&quot;) &quot;git@github.com:&quot;","ref":"Gogs.html#make_url/2","title":"Gogs.make_url/2","type":"function"},{"doc":"parse_body_response/1 parses the response returned by the Gogs Server so your app can use the resulting JSON.","ref":"Gogs.html#parse_body_response/1","title":"Gogs.parse_body_response/1","type":"function"},{"doc":"post/2 accepts two arguments: url and params .","ref":"Gogs.html#post/2","title":"Gogs.post/2","type":"function"},{"doc":"remote_repo_create/3 accepts two arguments: org_name , repo_name &amp; private . It creates a repo on the remote Gogs instance as defined by the environment variable GOGS_URL . For convenience it assumes that you only have one Gogs instance. If you have more or different requirements, please share!","ref":"Gogs.html#remote_repo_create/3","title":"Gogs.remote_repo_create/3","type":"function"},{"doc":"returns the remote url for cloning","ref":"Gogs.html#remote_url/3","title":"Gogs.remote_url/3","type":"function"},{"doc":"This is a set up to mock (stub) our API requests to the GitHub API so that we can test all of our code in ElixirAuthGithub. These are just functions that pattern match on the entries and return things in the way we expect, so that we can check the pipeline in ElixirAuthGithub.github_auth","ref":"Gogs.HTTPoisonMock.html","title":"Gogs.HTTPoisonMock","type":"module"},{"doc":"","ref":"Gogs.HTTPoisonMock.html#make_repo_create_post_response_body/1","title":"Gogs.HTTPoisonMock.make_repo_create_post_response_body/1","type":"function"},{"doc":"post/3 stubs the HTTPoison post function when parameters match test vars. feel free refactor this if you can make it pretty.","ref":"Gogs.HTTPoisonMock.html#post/3","title":"Gogs.HTTPoisonMock.post/3","type":"function"},{"doc":"","ref":"GogsHelpers.html","title":"GogsHelpers","type":"module"},{"doc":"api_base_url/0 returns the Gogs Server REST API url for API requests. Examples iex&gt; GogsHelpers.api_base_url() &quot; https://gogs-server.fly.dev/api/v1/&quot;","ref":"GogsHelpers.html#api_base_url/0","title":"GogsHelpers.api_base_url/0","type":"function"}]